Bug 153241 - Text box mouse cursor hidden
Summary: Text box mouse cursor hidden
Status: RESOLVED FIXED
Alias: None
Product: kdelibs
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: David Faure
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-01 21:52 UTC by FiNeX
Modified: 2007-12-18 22:23 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description FiNeX 2007-12-01 21:52:51 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources
OS:                Linux

When you have the focus on a text box the mouse cursor is hidden.
In kde 3.5.x when you move the mouse the cursor reappears, in kde 4 (r743634) it reappears only when the cursor goes out the widget. The correct behaviour is the first.
Comment 1 FiNeX 2007-12-01 21:59:02 UTC
I've notices this behaviour in knotes, korganizer, kopete and kmail.
Comment 2 FiNeX 2007-12-06 14:15:31 UTC
The mouse became visible even when the focus is lost from the textbox.
Comment 3 David Faure 2007-12-18 22:23:29 UTC
SVN commit 750183 by dfaure:

Fix KCursor autohide feature for scrollareas like KTextEdit:
the widget gets key events, the viewport gets mouse events, so we need an event filter on each one.
BUG: 153241


 M  +27 -12    kcursor.cpp  
 M  +1 -1      kcursor_p.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=750183